Package org.eclipse.net4j.ws.jetty

## Class Net4jWebSocketServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.jetty.websocket.servlet.WebSocketServlet
      - - org.eclipse.net4j.ws.jetty.Net4jWebSocketServlet

- All Implemented Interfaces:
    `java.io.Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class Net4jWebSocketServlet
      extends org.eclipse.jetty.websocket.servlet.WebSocketServlet

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Net4jWebSocketServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure​(org.eclipse.jetty.websocket.servlet.WebSocketServletFactory factory)` |

    - ### Methods inherited from class org.eclipse.jetty.websocket.servlet.WebSocketServlet

      `destroy, init, service`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Net4jWebSocketServlet

          public Net4jWebSocketServlet()

  - ### Method Detail

    - #### configure

          public void configure​(org.eclipse.jetty.websocket.servlet.WebSocketServletFactory factory)

      Specified by:
        `configure` in class `org.eclipse.jetty.websocket.servlet.WebSocketServlet`